﻿//////////////////////////////////////////////
// FilmGrainEffectUtils.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class BlendState ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT FilmGrainEffectUtils final
	{
		private :

			// Constructor, destructor
			FilmGrainEffectUtils () = delete ;
			~FilmGrainEffectUtils () = delete ;

		public :

			// Blending
			static void prepareBlendStateForGrainBlending (nkGraphics::BlendState* blendState) ;
	} ;
}