﻿//////////////////////////////////////////////
// ScriptObjectInterpreterView.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class ScriptObjectInterpreterReference ;
}

/// Includes ---------------------------------

// nkScripts
#include "../Functions/FunctionParameterType.h"

/// Class ------------------------------------

namespace nkScripts
{
	class ScriptObjectInterpreterView
	{
		protected :
		
			// Type of data
			FUNCTION_PARAMETER_TYPE _type = FUNCTION_PARAMETER_TYPE::VOID ;

		public :

			// Constructeur, destructeur
			ScriptObjectInterpreterView (FUNCTION_PARAMETER_TYPE type)
			:	_type (type)
			{
				// Nothing to do
			}

			virtual ~ScriptObjectInterpreterView () = default ;

			// Conversion
			virtual ScriptObjectInterpreterReference* toReference () const = 0 ;
	} ;
}