﻿//////////////////////////////////////////////
// AtmosphereProgramSources.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include <NilkinsMemory/Containers/String.h>
#include <NilkinsMemory/Containers/StringView.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class AtmosphereProgramSources
	{
		private :

			// Constructor, destructor
			AtmosphereProgramSources () = delete ;
			~AtmosphereProgramSources () = delete ;

		public :

			// Sources
			static nkMemory::StringView VERTEX_SRC ;
			static nkMemory::String PIXEL_SRC ;
			static nkMemory::String PIXEL_LUT_GENERATION_SRC ;
	} ;
}